com.sun.grid.jgdi.configuration

## Interface ShareTree

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ShareTreeImpl

      public interface ShareTree
      extends GEObject

  Java representation of the cull object STN_Type defined in sge_all_listsL.template

  Warning: The ShareTree class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildren(ShareTree achildren)` Add a com.sun.grid.jgdi.configuration.ShareTree attribute.
    `java.lang.String` | `dump()`
    `double` | `getActualProportion()` Get the value of the actualProportion attribute.
    `ShareTree` | `getChildren(int index)` Get a com.sun.grid.jgdi.configuration.ShareTree attribute at an index.
    `int` | `getChildrenCount()` Get the number of com.sun.grid.jgdi.configuration.ShareTree attributes.
    `java.util.List<ShareTree>` | `getChildrenList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ShareTree attributes.
    `int` | `getId()` Get the value of the id attribute.
    `double` | `getMShare()` Get the value of the mShare attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getShares()` Get the value of the shares attribute.
    `int` | `getTemp()` Get the value of the temp attribute.
    `int` | `getType()` Get the value of the type attribute.
    `boolean` | `isSetActualProportion()` Determine if any actualProportion attribute is set
    `boolean` | `isSetChildren()` Determine if any children attribute is set
    `boolean` | `isSetId()` Determine if any id attribute is set
    `boolean` | `isSetMShare()` Determine if any mShare attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetShares()` Determine if any shares attribute is set
    `boolean` | `isSetTemp()` Determine if any temp attribute is set
    `boolean` | `isSetType()` Determine if any type attribute is set
    `void` | `removeAllChildren()` Remove all com.sun.grid.jgdi.configuration.ShareTree attributes.
    `ShareTree` | `removeChildren(int index)` Remote a com.sun.grid.jgdi.configuration.ShareTree attribute at an index.
    `boolean` | `removeChildren(ShareTree achildren)` Remote a specific com.sun.grid.jgdi.configuration.ShareTree attribute.
    `void` | `setChildren(int index, ShareTree achildren)` Set a com.sun.grid.jgdi.configuration.ShareTree attribute.
    `void` | `setId(int aId)` Set the id attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setShares(int aShares)` Set the shares attribute.
    `void` | `setType(int aType)` Set the type attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setType

          void setType(int aType)

      Set the type attribute.
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          int getType()

      Get the value of the type attribute.
      Returns:
        the value of the type attribute

    - #### isSetType

          boolean isSetType()

      Determine if any type attribute is set
      Returns:
        `true` if the type attribute is set

    - #### setId

          void setId(int aId)

      Set the id attribute.
      Parameters:
        `aId` - the new value for the id attribute

    - #### getId

          int getId()

      Get the value of the id attribute.
      Returns:
        the value of the id attribute

    - #### isSetId

          boolean isSetId()

      Determine if any id attribute is set
      Returns:
        `true` if the id attribute is set

    - #### setShares

          void setShares(int aShares)

      Set the shares attribute.
      Parameters:
        `aShares` - the new value for the shares attribute

    - #### getShares

          int getShares()

      Get the value of the shares attribute.
      Returns:
        the value of the shares attribute

    - #### isSetShares

          boolean isSetShares()

      Determine if any shares attribute is set
      Returns:
        `true` if the shares attribute is set

    - #### getChildrenList

          java.util.List<ShareTree> getChildrenList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ShareTree attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ShareTree attributes

    - #### getChildrenCount

          int getChildrenCount()

      Get the number of com.sun.grid.jgdi.configuration.ShareTree attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ShareTree attributes.

    - #### getChildren

          ShareTree getChildren(int index)

      Get a com.sun.grid.jgdi.configuration.ShareTree attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ShareTree attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ShareTree attribute

    - #### addChildren

          void addChildren(ShareTree achildren)

      Add a com.sun.grid.jgdi.configuration.ShareTree attribute.
      Parameters:
        `achildren` - the new com.sun.grid.jgdi.configuration.ShareTree attribute

    - #### setChildren

          void setChildren(int index,
                           ShareTree achildren)

      Set a com.sun.grid.jgdi.configuration.ShareTree attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ShareTree attribute
        `achildren` - the new com.sun.grid.jgdi.configuration.ShareTree attribute

    - #### removeAllChildren

          void removeAllChildren()

      Remove all com.sun.grid.jgdi.configuration.ShareTree attributes.

    - #### removeChildren

          ShareTree removeChildren(int index)

      Remote a com.sun.grid.jgdi.configuration.ShareTree attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ShareTree attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ShareTree attribute or `null` if no attribute at this index is stored

    - #### removeChildren

          boolean removeChildren(ShareTree achildren)

      Remote a specific com.sun.grid.jgdi.configuration.ShareTree attribute.
      Parameters:
        `achildren` - the com.sun.grid.jgdi.configuration.ShareTree attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ShareTree attribute has been removed

    - #### isSetChildren

          boolean isSetChildren()

      Determine if any children attribute is set
      Returns:
        `true` if the children attribute is set

    - #### getActualProportion

          double getActualProportion()

      Get the value of the actualProportion attribute.
      Returns:
        the value of the actualProportion attribute

    - #### isSetActualProportion

          boolean isSetActualProportion()

      Determine if any actualProportion attribute is set
      Returns:
        `true` if the actualProportion attribute is set

    - #### getMShare

          double getMShare()

      Get the value of the mShare attribute.
      Returns:
        the value of the mShare attribute

    - #### isSetMShare

          boolean isSetMShare()

      Determine if any mShare attribute is set
      Returns:
        `true` if the mShare attribute is set

    - #### getTemp

          int getTemp()

      Get the value of the temp attribute.
      Returns:
        the value of the temp attribute

    - #### isSetTemp

          boolean isSetTemp()

      Determine if any temp attribute is set
      Returns:
        `true` if the temp attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.